ip_internals(3)

NAME
ip_internals - Internal IP functions

SYNOPSIS

  Functions

void nfq_ip_set_checksum (struct iphdr *iph)

Detailed Description

Most user-space programs will never need these.

Function Documentation

  void nfq_ip_set_checksum (struct iphdr * iph)
nfq_ip_set_checksum - set IPv4 checksum

Parameters
    iph Pointer to the IPv4 header

Note
    nfq_ip_mangle() invokes this function. As long as developers always use the appropriate mangler for the layer being mangled, there is no need to call nfq_ip_set_checksum.

Definition at line 102 of file ipv4.c.

Author

Generated automatically by Doxygen for libnetfilter_queue from the source code.